package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 营销清单
 * 
 * @author ruoyi
 */

@ApiModel("营销清单")
public class MarketingListVo
{
//    @ApiModelProperty("清单类型")
//    private String listType;
    @ApiModelProperty(value = "清单名称",required = true)
    private String  groupName;
    /** 客户数 */
    @ApiModelProperty(value = "客户数",required = true)
    private Long customerNum;
    /** 关联活动 */
    @ApiModelProperty(value = "关联活动",required = true)
    private String campaignName;
    /** 活动创建时间 */
    @ApiModelProperty(value = "活动创建时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /** 活动开始时间 */
    @ApiModelProperty(value = "活动开始时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /** 活动创建时间 */
    @ApiModelProperty(value = "活动结束时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 活动分配结束时间 */
    @ApiModelProperty(value = "活动分配结束时间",required = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date claimEndTime;
    /** 活动进度 */
    @ApiModelProperty(value = "活动进度",required = true)
    private String campaignProgress;
    /** 活动紧急程度 */
    @ApiModelProperty(value = "活动紧急程度",required = true)
    private String campaignDegree;
//    /** 营销进度 */
//    @ApiModelProperty(value = "营销进度",required = true)
//    private String MarketingRate;
    /** 分群id */
    @ApiModelProperty(value = "分群id",required = true)
    private String groupId;
    /** 活动id */
    @ApiModelProperty(value = "活动id",required = true)
    private String campaignId;

    @ApiModelProperty(value = "活动认领类型,0强制认领，1可选认领",required = true)
    private String claimType;

    @ApiModelProperty(value = "机构认领状态,0待认领，1已认领",required = true)
    private String orgClaimStatus;

    @ApiModelProperty(value = "机构分配状态,0待分配，1已分配",required = true)
    private String orgDistributeStatus;

    @ApiModelProperty(value = "客户经理认领率",required = true)
    private String claimRate;



//    public String getListType() {
//        return listType;
//    }
//
//    public void setListType(String listType) {
//        this.listType = listType;
//    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getCustomerNum() {
        return customerNum;
    }

    public void setCustomerNum(Long customerNum) {
        this.customerNum = customerNum;
    }

    public String getCampaignName() {
        return campaignName;
    }

    public void setCampaignName(String campaignName) {
        this.campaignName = campaignName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCampaignProgress() {
        return campaignProgress;
    }

    public void setCampaignProgress(String campaignProgress) {
        this.campaignProgress = campaignProgress;
    }

    public String getCampaignDegree() {
        return campaignDegree;
    }

    public void setCampaignDegree(String campaignDegree) {
        this.campaignDegree = campaignDegree;
    }

//    public String getMarketingRate() {
//        return MarketingRate;
//    }
//
//    public void setMarketingRate(String marketingRate) {
//        MarketingRate = marketingRate;
//    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }


    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getClaimEndTime() {
        return claimEndTime;
    }

    public void setClaimEndTime(Date claimEndTime) {
        this.claimEndTime = claimEndTime;
    }

    public String getClaimType() {
        return claimType;
    }

    public void setClaimType(String claimType) {
        this.claimType = claimType;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getClaimRate() {
        return claimRate;
    }

    public void setClaimRate(String claimRate) {
        this.claimRate = claimRate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupName", getGroupName())
            .append("customerNum", getCustomerNum())
            .append("campaignName", getCampaignName())
            .append("createTime", getCreateTime())
            .append("campaignProgress", getCampaignProgress())
            .append("campaignDegree", getCampaignDegree())
                .append("groupId", getGroupId()).append("campaignId", getCampaignId())
            .toString();
    }
}
